gnutls_pkcs11_token_get_flags(3)

NAME
gnutls_pkcs11_token_get_flags - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_token_get_flags(const char * url, unsigned int * flags);

ARGUMENTS

const char * url
    should contain a PKCS 11 URL

unsigned int * flags
    The output flags (GNUTLS_PKCS11_TOKEN_*)

DESCRIPTION
This function will return information about the PKCS 11 token flags. The supported flags are: GNUTLS_PKCS11_TOKEN_HW and GNUTLS_PKCS11_TOKEN_TRUSTED.

RETURNS
GNUTLS_E_SUCCESS (0) on success or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/